"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  mapPropsToStyleNames: true,
  Text: true
};
Object.defineProperty(exports, "Text", {
  enumerable: true,
  get: function () {
    return _Atoms.Text;
  }
});
exports.mapPropsToStyleNames = void 0;

var _Atoms = require("./Components/Atoms");

var _lodash = require("lodash");

var _theme = require("./constant/theme");

Object.keys(_theme).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _theme[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _theme[key];
    }
  });
});

const mapPropsToStyleNames = (styleNames, props) => (0, _lodash.keys)(props);

exports.mapPropsToStyleNames = mapPropsToStyleNames;
//# sourceMappingURL=index.js.map